V3.06 on PCLinuxOS: Failed to download schedule page
#1
The PCLinuxOS repositories currently have version 3.02 and I have asked for this to be updated to V3.06. In order to help the packagers, I have put the new Perl script into my test installation of PCLinuxOS. I can successfully download using a PID but it will not index programs. It reports the following errors:

INFO: Indexing tv programmes (concurrent)
..............
WARNING: Failed to download schedule page: http://www.bbc.co.uk/bbcalba/programmes/.../this_week
.
WARNING: Failed to download schedule page: http://www.bbc.co.uk/bbcfour/programmes/.../this_week
.
WARNING: Failed to download schedule page: http://www.bbc.co.uk/bbcnews/programmes/.../this_week

etc...

I assume that this could be related to one of the dependencies rather than the main Perl script.

Perhaps it is Mojolicious that needs an update. Version 7.36 here.

Could some knowledgable person advise me where to look first?
#2
Asked and answered: https://squarepenguin.co.uk/forums/thread-1548.html

Mojolicious update is probably not necessary. It might be tricky updating IO::Socket::SSL in a distro repository since it will have some dependent packages.
#3
Thanks for pointing me in the right direction.

perl-IO-Socket-SSL in PCLinuxOS is version 2.27.0.
The only listed dependency for it is perl-base (<=5.22.3)

Hopefully this will mean it is not too difficult to update.
#4
That was "dependent", not "dependency". Other modules, such as LWP::Protocol::https, will depend on IO::Socket::SSL. I know that the latest versions work together, but there may be other considerations in PCLinuxOS.

Your problem might actually be simpler. Make sure that Net::SSLeay is installed. I just checked on a PCLinuxOS live CD, and it doesn't appear to be installed with IO::Socket::SSL. If it is, get_iplayer works. Actually, a couple of other things were required.  It also appears that HTML::Parser and Encode::Locale (dependencies of LWP) aren't being pulled in either.
#5
And while you're at it, remove XML::Simple and id3v2 from the get_iplayer dependencies. They are not used.

EDIT: There is also no need to install an empty system options file for get_iplayer. It is useless.
#6
Thanks yet again.

I have referenced this thread in my request to the PCLinuxOS devs for the update so they will hopefully have all they need.


Possibly Related Threads...
Thread Author Replies Views Last Post
  Cannot download schedule pages to update cache on Debian Wheezy pippolippi 3 3,501 26-10-2017, 05:03 PM
Last Post: xiatian